Cyberduck Mountain Duck CLI

#1592 closed defect (duplicate)

Upgrading to build 3432 causes crashes

Reported by: cyberduck@… Owned by: dkocher
Priority: normal Milestone: 2.8.3
Component: core Version: 2.8.3
Severity: critical Keywords: crash, upgrade
Cc: Architecture:
Platform:

Description

I am experiencing random crashes during transfers after my upgrade to version 3432.

The problems have so far been both actual crashes and a freeze during an attempt to transfer a wordpress blog containing around 500 mb files but. The crashes/freezes arise somewhere during transfer. I checked the Console and I am getting a lot of different messages - not sure which errors are causing the crash (and from which program run), but here's a clipout of some of the output I am getting:

Invalid memory access of location 1c97214c eip=ffff1259
Cyberduck(953,0x1924a00) malloc: ***  Deallocation of a pointer not malloced: 0x1c883ef0; This could be a double free(), or free() called with the middle of an allocated block; Try setting environment variable MallocHelp to see tools to help debug
2008-01-14 10:06:34.201 Cyberduck[1103] ObjCJava: a mapping for OBJC class name ch/cyberduck/core/Host to info class name ch/cyberduck/core/Host already exists; cannot create overloaded mapping to javaclassname ch/cyberduck/core/Host
2008-01-14 10:09:31.588 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.589 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.590 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.590 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.590 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.591 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.593 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.593 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.593 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.593 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.594 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.594 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.594 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.594 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.595 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.595 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.595 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.595 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.596 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.596 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.596 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.598 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.599 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.600 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.602 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.602 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.602 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.602 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.603 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.604 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.605 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.606 Cyberduck[1103] CFURLGetFSRef failed
2008-01-14 10:09:31.612 Cyberduck[1103] NSImageCacheException: Can't cache image
Stack Trace:
NSImageCacheException: Can't cache image
	at com.apple.cocoa.application.NSApplication.sendEvent(Native Method)
	at ch.cyberduck.ui.cocoa.CDMainApplication.sendEvent(CDMainApplication.java:64)
Invalid memory access of location 1be3614c eip=ffff12a9

Change History (2)

comment:1 Changed on Jan 17, 2008 at 2:08:45 PM by anonymous

This bug is possibly fixed by the recent update. Please close it.

comment:2 Changed on Jan 20, 2008 at 6:05:57 PM by dkocher

  • Milestone set to 2.8.3
  • Resolution set to duplicate
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software